Skip to main content
GET
/
networks
/
advertisers
/
{advertiserId}
/
users
/
{userId}
Find Advertiser User by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/advertisers/{advertiserId}/users/{userId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_advertiser_user_id": 17,
  "network_id": 1,
  "network_advertiser_id": 13,
  "first_name": "Bob",
  "last_name": "T",
  "email": "everflow.test+adv@gmail.com",
  "title": "",
  "work_phone": "7726565527",
  "cell_phone": "",
  "instant_messaging_id": 5,
  "instant_messaging_identifier": "312312",
  "language_id": 1,
  "timezone_id": 75,
  "currency_id": "USD",
  "account_status": "active",
  "time_created": 1774296114,
  "time_saved": 1774615432,
  "relationship": {
    "logins": {
      "total": 0,
      "entries": []
    }
  }
}
Retrieve a specific user for a specific advertiser by their user ID. Returns user details including contact information and account status.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

advertiserId
integer
required

The ID of the advertiser whose user you want to fetch.

userId
integer
required

The ID of the user you want to fetch.

Query Parameters

relationship
enum<string>

Include additional relationships in the response. Multiple relationships can be supplied by repeating this query parameter. Supported values: logins (includes the user's list of logins), password_history (includes the user's password changes history), api (includes the user's API key and whitelisted IPs), customizations (includes the user's customizations).

Available options:
logins,
password_history,
api,
customizations

Response

200 - application/json

OK

network_advertiser_user_id
integer

Unique advertiser user ID.

network_id
integer

The network ID this user belongs to.

network_advertiser_id
integer

The advertiser ID this user belongs to.

first_name
string

The advertiser user's first name.

last_name
string

The advertiser user's last name.

email
string

The advertiser user's email address.

title
string

The advertiser user's title.

account_status
enum<string>

The advertiser user's account status.

Available options:
active,
inactive,
suspended
work_phone
string

The advertiser user's work phone number.

cell_phone
string

The advertiser user's cell phone number.

instant_messaging_id
integer

The ID of an instant messaging platform. Values are 0 for None, 1 for Skype, 2 for Yahoo Messenger, 3 for Telegram, 4 for WhatsApp, 5 for Other.

instant_messaging_identifier
string

The advertiser user's instant messaging identifier.

language_id
integer

The advertiser user's language ID.

timezone_id
integer

The advertiser user's timezone ID.

currency_id
string

The advertiser user's currency ID (ISO currency code).

relationship
object

Related data for this advertiser user. Populate by passing relationship query parameters (e.g. ?relationship=logins&relationship=api).

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015